class JavaStringTest
{
	//--------------------------------------------------------------------------
	//String test

	public static String Test(String param)
	{
		return "[" + param + "]";
	}

	public static String[][][] Test3D(String[][][] param)
	{
		int i1, i2, i3, len1, len2, len3;

		len1 = param.length;
		for (i1=0; i1<len1; i1++)
		{
			len2 = param[i1].length;
			for (i2=0; i2<len2; i2++)
			{
				len3 = param[i1][i2].length;
				for (i3=0; i3<len3; i3++)
				{
					param[i1][i2][i3] = "[" + param[i1][i2][i3] + "]";
				}
			}
		}
		return param;
	}
}
